ZIP_SOURCE_TELL_WRITE(3)

NAME
zip_source_tell_write - report current write offset in zip source

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

zip_int64_t
zip_source_tell_write(zip_source_t *source);

DESCRIPTION
The function zip_source_tell_write() returns the current write offset for source. The return value can be passed to zip_source_seek_write(3) with whence set to SEEK_SET to return to the same location in the source.

RETURN VALUES
Upon successful completion the current write offset is returned. Otherwise, -1 is returned and the error information in source is set to indicate the error.

SEE ALSO
libzip(3), zip_source(3), zip_source_begin_write(3), zip_source_commit_write(3), zip_source_rollback_write(3), zip_source_tell(3), zip_source_write(3)

HISTORY
zip_source_tell_write() was added in libzip 1.0.

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>